Config
Manage your workspace's Sender IDs.
POST SMS Config
https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}/config/smsAuthentication Required: Yes
Description
Submit a Sender ID for approval in your workspace. An approved Sender ID can be used for outbound communications in the Portal and with the APIs.
Path Parameters
- workspace_id: the ID of your workspace.
Body Properties
- selectedSenderIds*: an array of all the Sender IDs you want to submit for approval.
Code Snippet
GET SMS Config
https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}/config/smsAuthentication Required: Yes
Description
Retrieve the approval status of your workspace's sender IDs.
Path Parameters
- workspace_id: the ID of your workspace.
{
"config": {
"approvedSenderIds": [
"ACME",
"ACME MFA"
],
"approveSenderIds": true,
"enabledDestinations": [
"au",
"nz"
],
"selectedSenderIds": [
"ACME"
],
"selectSenderIds": true
},
"status": "OK"
}Code Snippet
How is this guide?